<?php


function smarty_modifier_cnsubstr( $str, $len )
{
	$tmpstr = "";
	$start = 0;
	$len *= 3;
	if ( $start < 0 || strlen( $str ) < $start )
	{
		return "";
	}
	if ( strlen( $str ) <= $len )
	{
		return $str;
	}
	$strlen = $start + $len - 3;
	$i = $start;
	for ( ;	$i < $strlen;	++$i	)
	{
		if ( 128 < ord( $str[$i] ) )
		{
			$tmpstr .= $str[$i].$str[++$i].$str[++$i];
		}
		else
		{
			$tmpstr .= $str[$i];
		}
	}
	return $tmpstr."…";
}

?>
